[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-07-08 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-lowlatency-
hwe-6.8/6.8.0-38.38.1~22.04.2 kernel in -proposed solves the problem.
Please test the kernel and update this bug with the results. If the
problem is solved, change the tag 'verification-needed-jammy-linux-
lowlatency-hwe-6.8' to 'verification-done-jammy-linux-lowlatency-
hwe-6.8'. If the problem still exists, change the tag 'verification-
needed-jammy-linux-lowlatency-hwe-6.8' to 'verification-failed-jammy-
linux-lowlatency-hwe-6.8'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-jammy-linux-lowlatency-hwe-6.8-v2 
verification-needed-jammy-linux-lowlatency-hwe-6.8

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-07-08 Thread You-Sheng Yang
There has been an new update to the ipu6-drivers versioned
0~git202406240945.aecec2aa-0ubuntu1 for 24.10 Oracular and
0~git202406240945.aecec2aa-0ubuntu1~24.04.1 as a no-change-backport to
24.04 mainly for bug 2067364 as well as fixes for bug 2070251 and bug
2060101. The dkms packages were taken to build kernels now in -proposed
pocket, which have received stress tests by multiple parties.

The verified -proposed kernels are:
* linux-oem-6.5/jammy version 6.5.0-1026.27
* linux-oem-6.8/noble version 6.8.0-1008.8

There are more covered by other parties, but the platforms being used to verify 
by Ubuntu side are:
* TRBM-DVT2-C3 (mtl, vsc, ov02c10)
* Lenovo (usbio, ov08x40
* Dell 9420 (TGL, non-CVF, ov01a1s)
* OAS4-DVT2-C1 (RPL, vsc, hi556)

Experimental kernels carrying the same fixes inclusive of linux/noble,
linux-oem-6.10/noble and linux-unstable/noble, are also tested.

** Tags removed: verification-failed-noble 
verification-needed-noble-linux-oem-6.8
** Tags added: verification-done-noble verification-done-noble-linux-oem-6.8

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-27 Thread Timo Aaltonen
** Changed in: linux-meta (Ubuntu)
   Status: In Progress => Invalid

** Changed in: linux (Ubuntu)
   Status: In Progress => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-18 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-
nvidia-6.8/6.8.0-1008.8~22.04.1 kernel in -proposed solves the problem.
Please test the kernel and update this bug with the results. If the
problem is solved, change the tag 'verification-needed-jammy-linux-
nvidia-6.8' to 'verification-done-jammy-linux-nvidia-6.8'. If the
problem still exists, change the tag 'verification-needed-jammy-linux-
nvidia-6.8' to 'verification-failed-jammy-linux-nvidia-6.8'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-jammy-linux-nvidia-6.8-v2 
verification-needed-jammy-linux-nvidia-6.8

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-10 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-ibm-gt/6.8.0-1004.5
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-ibm-gt' to 'verification-done-
noble-linux-ibm-gt'. If the problem still exists, change the tag
'verification-needed-noble-linux-ibm-gt' to 'verification-failed-noble-
linux-ibm-gt'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-ibm-gt-v2 
verification-needed-noble-linux-ibm-gt

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-10 Thread Launchpad Bug Tracker
This bug was fixed in the package linux-oem-6.8 - 6.8.0-1006.6

---
linux-oem-6.8 (6.8.0-1006.6) noble; urgency=medium

  * noble/linux-oem-6.8: 6.8.0-1006.6 -proposed tracker (LP: #2064336)

  * Packaging resync (LP: #1786013)
- debian.oem/dkms-versions -- update from kernel-versions (main/2024.04.29)

  * Resync CI Runner Configuration (LP: #2024199)
- [CI] resync ci configuration

  * AMD Strix s2idle failure due to AMD VPE driver init (LP: #2065365)
- drm/amdgpu/vpe: power on vpe when hw_init

  * daisy chained thunderbolt devices not working at reboot on AMD strix
platforms (LP: #2058333)
- thunderbolt: Introduce tb_port_reset()
- thunderbolt: Introduce tb_path_deactivate_hop()
- thunderbolt: Make tb_switch_reset() support Thunderbolt 2, 3 and USB4
  routers
- thunderbolt: Reset topology created by the boot firmware

  * Update amd_sfh for AMD strix series (LP: #2058331)
- HID: amd_sfh: Increase sensor command timeout
- HID: amd_sfh: Improve boot time when SFH is available
- HID: amd_sfh: Extend MP2 register access to SFH
- HID: amd_sfh: Set the AMD SFH driver to depend on x86

  * Update amd-pmf for AMD strix series (LP: #2058330)
- platform/x86/amd/pmf: Differentiate PMF ACPI versions
- platform/x86/amd/pmf: Disable debugfs support for querying power thermals
- platform/x86/amd/pmf: Add support to get sbios requests in PMF driver
- platform/x86/amd/pmf: Add support to notify sbios heart beat event
- platform/x86/amd/pmf: Add support to get APTS index numbers for static
  slider
- platform/x86/amd/pmf: Add support to get sps default APTS index values
- platform/x86/amd/pmf: Update sps power thermals according to the platform-
  profiles

  * Miscellaneous Ubuntu changes
- [Config] Update config after rebase.

  [ Ubuntu: 6.8.0-34.34 ]

  * noble/linux: 6.8.0-34.34 -proposed tracker (LP: #2065167)
  * Packaging resync (LP: #1786013)
- [Packaging] debian.master/dkms-versions -- update from kernel-versions
  (main/2024.04.29)

  [ Ubuntu: 6.8.0-32.32 ]

  * noble/linux: 6.8.0-32.32 -proposed tracker (LP: #2064344)
  * Packaging resync (LP: #1786013)
- [Packaging] drop getabis data
- [Packaging] update variants
- [Packaging] update annotations scripts
- [Packaging] debian.master/dkms-versions -- update from kernel-versions
  (main/2024.04.29)
  * Enable Nezha board (LP: #1975592)
- [Config] Enable CONFIG_REGULATOR_FIXED_VOLTAGE on riscv64
  * Enable Nezha board (LP: #1975592) // Enable StarFive VisionFive 2 board
(LP: #2013232)
- [Config] Enable CONFIG_SERIAL_8250_DW on riscv64
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
- [Config] Sync riscv64 config with other architectures
  * obsolete out-of-tree ivsc dkms in favor of in-tree one (LP: #2061747)
- ACPI: scan: Defer enumeration of devices with a _DEP pointing to IVSC 
device
- Revert "mei: vsc: Call wake_up() in the threaded IRQ handler"
- mei: vsc: Unregister interrupt handler for system suspend
- media: ipu-bridge: Add ov01a10 in Dell XPS 9315
- SAUCE: media: ipu-bridge: Support more sensors
  * Fix after-suspend-mediacard/sdhc-insert test failed (LP: #2042500)
- PCI/ASPM: Move pci_configure_ltr() to aspm.c
- PCI/ASPM: Always build aspm.c
- PCI/ASPM: Move pci_save_ltr_state() to aspm.c
- PCI/ASPM: Save L1 PM Substates Capability for suspend/resume
- PCI/ASPM: Call pci_save_ltr_state() from pci_save_pcie_state()
- PCI/ASPM: Disable L1 before configuring L1 Substates
- PCI/ASPM: Update save_state when configuration changes
  * RTL8852BE fw security fail then lost WIFI function during suspend/resume
cycle (LP: #2063096)
- wifi: rtw89: download firmware with five times retry
  * intel_rapl_common: Add support for ARL and LNL (LP: #2061953)
- powercap: intel_rapl: Add support for Lunar Lake-M paltform
- powercap: intel_rapl: Add support for Arrow Lake
  * Kernel panic during checkbox stress_ng_test on Grace running noble 6.8
(arm64+largemem) kernel (LP: #2058557)
- aio: Fix null ptr deref in aio_complete() wakeup
  * Avoid creating non-working backlight sysfs knob from ASUS board
(LP: #2060422)
- platform/x86: asus-wmi: Consider device is absent when the read is ~0
  * Include cifs.ko in linux-modules package (LP: #2042546)
- [Packaging] Replace fs/cifs with fs/smb/client in inclusion list
  * Add Real-time Linux Analysis tool (rtla) to linux-tools (LP: #2059080)
- SAUCE: rtla: fix deb build
- [Packaging] add Real-time Linux Analysis tool (rtla) to linux-tools
- [Packaging] update dependencies for rtla
  * Noble update: v6.8.4 upstream stable release (LP: #2060533)
- Revert "workqueue: Shorten events_freezable_power_efficient name"
- Revert "workqueue: Don't call cpumask_test_cpu() with -1 CPU in
  wq_update_node_max_active()"
- Revert "workqueue: Implement system-wide 

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-10 Thread Launchpad Bug Tracker
This bug was fixed in the package linux-meta-oem-6.8 - 6.8.0-1006.6+1

---
linux-meta-oem-6.8 (6.8.0-1006.6+1) noble; urgency=medium

  * obsolete out-of-tree ivsc dkms in favor of in-tree one (LP: #2061747)
- [Packaging] obsolete out-of-tree ivsc dkms

 -- Timo Aaltonen   Tue, 28 May 2024
14:40:28 +0300

** Changed in: linux-meta-oem-6.8 (Ubuntu Noble)
   Status: In Progress => Fix Released

** Changed in: linux-oem-6.8 (Ubuntu Noble)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-06 Thread Benjamin Drung
I am unsubscribing ~ubuntu-sponsors since the patch for ipu6-drivers
landed (0~git202404110253.97c94720-0ubuntu1 is in oracular).

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-06 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-oracle/6.8.0-1006.6
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-oracle' to 'verification-done-
noble-linux-oracle'. If the problem still exists, change the tag
'verification-needed-noble-linux-oracle' to 'verification-failed-noble-
linux-oracle'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-oracle-v2 
verification-needed-noble-linux-oracle

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-
lowlatency/6.8.0-35.35.1 kernel in -proposed solves the problem. Please
test the kernel and update this bug with the results. If the problem is
solved, change the tag 'verification-needed-noble-linux-lowlatency' to
'verification-done-noble-linux-lowlatency'. If the problem still exists,
change the tag 'verification-needed-noble-linux-lowlatency' to
'verification-failed-noble-linux-lowlatency'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-lowlatency-v2 
verification-needed-noble-linux-lowlatency

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-riscv/6.8.0-35.35.1
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-riscv' to 'verification-done-noble-
linux-riscv'. If the problem still exists, change the tag 'verification-
needed-noble-linux-riscv' to 'verification-failed-noble-linux-riscv'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-riscv-v2 
verification-needed-noble-linux-riscv

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-raspi-
realtime/6.8.0-2004.4 kernel in -proposed solves the problem. Please
test the kernel and update this bug with the results. If the problem is
solved, change the tag 'verification-needed-noble-linux-raspi-realtime'
to 'verification-done-noble-linux-raspi-realtime'. If the problem still
exists, change the tag 'verification-needed-noble-linux-raspi-realtime'
to 'verification-failed-noble-linux-raspi-realtime'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-raspi-realtime-v2 
verification-needed-noble-linux-raspi-realtime

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-oem-6.8/6.8.0-1006.6
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-oem-6.8' to 'verification-done-
noble-linux-oem-6.8'. If the problem still exists, change the tag
'verification-needed-noble-linux-oem-6.8' to 'verification-failed-noble-
linux-oem-6.8'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-oem-6.8-v2 
verification-needed-noble-linux-oem-6.8

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-nvidia/6.8.0-1007.7
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-nvidia' to 'verification-done-
noble-linux-nvidia'. If the problem still exists, change the tag
'verification-needed-noble-linux-nvidia' to 'verification-failed-noble-
linux-nvidia'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-nvidia-v2 
verification-needed-noble-linux-nvidia

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-ibm/6.8.0-1006.6 kernel
in -proposed solves the problem. Please test the kernel and update this
bug with the results. If the problem is solved, change the tag
'verification-needed-noble-linux-ibm' to 'verification-done-noble-linux-
ibm'. If the problem still exists, change the tag 'verification-needed-
noble-linux-ibm' to 'verification-failed-noble-linux-ibm'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-ibm-v2 
verification-needed-noble-linux-ibm

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-intel/6.8.0-1005.12
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-intel' to 'verification-done-noble-
linux-intel'. If the problem still exists, change the tag 'verification-
needed-noble-linux-intel' to 'verification-failed-noble-linux-intel'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-intel-v2 
verification-needed-noble-linux-intel

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-gcp/6.8.0-1008.9 kernel
in -proposed solves the problem. Please test the kernel and update this
bug with the results. If the problem is solved, change the tag
'verification-needed-noble-linux-gcp' to 'verification-done-noble-linux-
gcp'. If the problem still exists, change the tag 'verification-needed-
noble-linux-gcp' to 'verification-failed-noble-linux-gcp'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-gcp-v2 
verification-needed-noble-linux-gcp

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-gke/6.8.0-1004.7 kernel
in -proposed solves the problem. Please test the kernel and update this
bug with the results. If the problem is solved, change the tag
'verification-needed-noble-linux-gke' to 'verification-done-noble-linux-
gke'. If the problem still exists, change the tag 'verification-needed-
noble-linux-gke' to 'verification-failed-noble-linux-gke'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-gke-v2 
verification-needed-noble-linux-gke

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-azure/6.8.0-1008.8
kernel in -proposed solves the problem. Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-noble-linux-azure' to 'verification-done-noble-
linux-azure'. If the problem still exists, change the tag 'verification-
needed-noble-linux-azure' to 'verification-failed-noble-linux-azure'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-azure-v2 
verification-needed-noble-linux-azure

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux-aws/6.8.0-1009.9 kernel
in -proposed solves the problem. Please test the kernel and update this
bug with the results. If the problem is solved, change the tag
'verification-needed-noble-linux-aws' to 'verification-done-noble-linux-
aws'. If the problem still exists, change the tag 'verification-needed-
noble-linux-aws' to 'verification-failed-noble-linux-aws'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags added: kernel-spammed-noble-linux-aws-v2 
verification-needed-noble-linux-aws

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Launchpad Bug Tracker
This bug was fixed in the package linux - 6.8.0-35.35

---
linux (6.8.0-35.35) noble; urgency=medium

  * noble/linux: 6.8.0-35.35 -proposed tracker (LP: #2065886)

  * CVE-2024-21823
- VFIO: Add the SPR_DSA and SPR_IAX devices to the denylist
- dmaengine: idxd: add a new security check to deal with a hardware erratum
- dmaengine: idxd: add a write() method for applications to submit work

linux (6.8.0-34.34) noble; urgency=medium

  * noble/linux: 6.8.0-34.34 -proposed tracker (LP: #2065167)

  * Packaging resync (LP: #1786013)
- [Packaging] debian.master/dkms-versions -- update from kernel-versions
  (main/2024.04.29)

linux (6.8.0-32.32) noble; urgency=medium

  * noble/linux: 6.8.0-32.32 -proposed tracker (LP: #2064344)

  * Packaging resync (LP: #1786013)
- [Packaging] drop getabis data
- [Packaging] update variants
- [Packaging] update annotations scripts
- [Packaging] debian.master/dkms-versions -- update from kernel-versions
  (main/2024.04.29)

  * Enable Nezha board (LP: #1975592)
- [Config] Enable CONFIG_REGULATOR_FIXED_VOLTAGE on riscv64

  * Enable Nezha board (LP: #1975592) // Enable StarFive VisionFive 2 board
(LP: #2013232)
- [Config] Enable CONFIG_SERIAL_8250_DW on riscv64

  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
- [Config] Sync riscv64 config with other architectures

  * obsolete out-of-tree ivsc dkms in favor of in-tree one (LP: #2061747)
- ACPI: scan: Defer enumeration of devices with a _DEP pointing to IVSC 
device
- Revert "mei: vsc: Call wake_up() in the threaded IRQ handler"
- mei: vsc: Unregister interrupt handler for system suspend
- media: ipu-bridge: Add ov01a10 in Dell XPS 9315
- SAUCE: media: ipu-bridge: Support more sensors

  * Fix after-suspend-mediacard/sdhc-insert test failed (LP: #2042500)
- PCI/ASPM: Move pci_configure_ltr() to aspm.c
- PCI/ASPM: Always build aspm.c
- PCI/ASPM: Move pci_save_ltr_state() to aspm.c
- PCI/ASPM: Save L1 PM Substates Capability for suspend/resume
- PCI/ASPM: Call pci_save_ltr_state() from pci_save_pcie_state()
- PCI/ASPM: Disable L1 before configuring L1 Substates
- PCI/ASPM: Update save_state when configuration changes

  * RTL8852BE fw security fail then lost WIFI function during suspend/resume
cycle (LP: #2063096)
- wifi: rtw89: download firmware with five times retry

  * intel_rapl_common: Add support for ARL and LNL (LP: #2061953)
- powercap: intel_rapl: Add support for Lunar Lake-M paltform
- powercap: intel_rapl: Add support for Arrow Lake

  * Kernel panic during checkbox stress_ng_test on Grace running noble 6.8
(arm64+largemem) kernel (LP: #2058557)
- aio: Fix null ptr deref in aio_complete() wakeup

  * Avoid creating non-working backlight sysfs knob from ASUS board
(LP: #2060422)
- platform/x86: asus-wmi: Consider device is absent when the read is ~0

  * Include cifs.ko in linux-modules package (LP: #2042546)
- [Packaging] Replace fs/cifs with fs/smb/client in inclusion list

  * Add Real-time Linux Analysis tool (rtla) to linux-tools (LP: #2059080)
- SAUCE: rtla: fix deb build
- [Packaging] add Real-time Linux Analysis tool (rtla) to linux-tools
- [Packaging] update dependencies for rtla

  * Noble update: v6.8.4 upstream stable release (LP: #2060533)
- Revert "workqueue: Shorten events_freezable_power_efficient name"
- Revert "workqueue: Don't call cpumask_test_cpu() with -1 CPU in
  wq_update_node_max_active()"
- Revert "workqueue: Implement system-wide nr_active enforcement for unbound
  workqueues"
- Revert "workqueue: Introduce struct wq_node_nr_active"
- Revert "workqueue: RCU protect wq->dfl_pwq and implement accessors for it"
- Revert "workqueue: Make wq_adjust_max_active() round-robin pwqs while
  activating"
- Revert "workqueue: Move nr_active handling into helpers"
- Revert "workqueue: Replace pwq_activate_inactive_work() with
  [__]pwq_activate_work()"
- Revert "workqueue: Factor out pwq_is_empty()"
- Revert "workqueue: Move pwq->max_active to wq->max_active"
- Revert "workqueue.c: Increase workqueue name length"
- Linux 6.8.4

  * Noble update: v6.8.3 upstream stable release (LP: #2060531)
- drm/vmwgfx: Unmap the surface before resetting it on a plane state
- wifi: brcmfmac: Fix use-after-free bug in brcmf_cfg80211_detach
- wifi: brcmfmac: avoid invalid list operation when vendor attach fails
- media: staging: ipu3-imgu: Set fields before media_entity_pads_init()
- arm64: dts: qcom: sc7280: Add additional MSI interrupts
- remoteproc: virtio: Fix wdg cannot recovery remote processor
- clk: qcom: gcc-sdm845: Add soft dependency on rpmhpd
- smack: Set SMACK64TRANSMUTE only for dirs in smack_inode_setxattr()
- smack: Handle SMACK64TRANSMUTE in smack_inode_setsecurity()
- arm: dts: marvell: Fix maxium->maxim typo in 

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-06-03 Thread Launchpad Bug Tracker
This bug was fixed in the package linux-meta - 6.8.0-35.35

---
linux-meta (6.8.0-35.35) noble; urgency=medium

  * Main version: 6.8.0-35.35

linux-meta (6.8.0-34.34) noble; urgency=medium

  * Main version: 6.8.0-34.34

  * Packaging resync (LP: #1786013)
- [Packaging] debian/dkms-versions -- resync from main package

linux-meta (6.8.0-32.32) noble; urgency=medium

  * Main version: 6.8.0-32.32

  * Packaging resync (LP: #1786013)
- [Packaging] update variants
- [Packaging] debian/dkms-versions -- resync from main package

  * linux-virtual: recommends linux-tools and ubuntu-kernel-accessories
(LP: #2064266)
- [Packaging] Recommends linux-tools-$kernel-abi-version-$flavour and 
ubuntu-
  kernel-accessories

  * obsolete out-of-tree ivsc dkms in favor of in-tree one (LP: #2061747)
- [Packaging] obsolete out-of-tree ivsc dkms

 -- Roxana Nicolescu   Mon, 20 May 2024
16:26:53 +0200

** Changed in: linux-meta (Ubuntu Noble)
   Status: Fix Committed => Fix Released

** Changed in: linux (Ubuntu Noble)
   Status: In Progress => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2024-21823

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-29 Thread You-Sheng Yang
** Tags removed: verification-needed-noble verification-needed-noble-linux
** Tags added: verification-failed-noble verification-failed-noble-linux

** Changed in: linux (Ubuntu Noble)
   Status: Fix Committed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-28 Thread Cyrus Lien
Encountered below failed message on 6.8.0-35.35.

[   20.141117] ivsc_ace intel_vsc-5db76cf6-0a68-4ed6-9b78-0361635e2447:
switch camera to host failed: -110

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-22 Thread Timo Aaltonen
the kernel has a file that specifies the versions of dkms's to use for
the built, and they are set in stone when a new kernel SRU cycle starts

the current linux & linux-oem-6.8 kernels in noble-proposed both build
modules from:

ipu6-drivers 0~git202404110253.97c94720-0ubuntu1

so linux 6.8.0-34.34 and linux-oem-6.8 6.8.0-1006.6 both have the right
version of ipu6, and can be used for testing

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-22 Thread Timo Aaltonen
I can reply:

> * linux-modules-ipu6-generic: binary, 6.8.0-31.31 in noble, 6.8.0-32.32 in 
> noble-proposed. This is the
> in-tree ipu6 module, right?
>
> If the SRU is about the dkms package, why does the test plan mention 
> linux-modules-ipu6-?
> Could you please clarify what is to be tested together?

No, that's the prebuilt module package built by the kernel by using the
ipu6-dkms from the archive, so for testing you just need the updated
kernel (which has ivsc in-tree) & linux-modules-ipu6- and check
that they play with each other

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-20 Thread Mauricio Faria de Oliveira
This SRU is pending clarification about the verification tags flip
(comments 23, 12, 7) and other questions (comment 23).

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-09 Thread Andreas Hasenack
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/comments/12
changed the tags from "verification-failed" to "verification-done", but
the previous state was "verification-needed", and I will change it back
to that.

I'm very confused about the test case: which combination of dkms and
kernel need to be installed?

The test plan says:
> This is supposed to work together with the updated dkms, which shall also be 
> built along with the kernel itself as linux-modules-ipu6-. Install 
> the corresponding kernel/modules packages and test camera functions.


These are the involved packages, as far as I can tell:
* linux-image-{virtual,generic}: kernel binary. 6.8.0-31.31 in noble, 
6.8.0-32.32 in noble-proposed
* linux-modules-ipu6-generic: binary, 6.8.0-31.31 in noble, 6.8.0-32.32 in 
noble-proposed. This is the in-tree ipu6 module, right?
* intel-ipu6-dkms: 20230ubuntu2 in noble, 2024...0ubuntu1 in 
noble-proposed. What was accepted for this SRU.

If the SRU is about the dkms package, why does the test plan mention
linux-modules-ipu6-? Could you please clarify what is to be
tested together?

** Tags removed: verification-done-noble
** Tags added: verification-needed-noble

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-07 Thread Sander Tuit
Kernel 6.8.0-32.32 doesn't boot for me on AMD64 (can't find the root
disk). 6.8.0-31-generic boots just fine. I'm not using root disk
encryption or zfs, so the cryptsetup/zfs regressions probably don't have
anything to do with that.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-07 Thread Martin D. Weinberg
Wow.  Thanks for all of that effort on behalf of Carbon X1 owners.  My
machine is also a Lenovo 21HMCTO1WW.  Looks like the same issues.  So
this is an upstream problem.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-07 Thread Luke Marsden
Some work ongoing on resolving camera flakiness towards the end of this
thread: https://github.com/intel/ipu6-drivers/issues/187

** Bug watch added: github.com/intel/ipu6-drivers/issues #187
   https://github.com/intel/ipu6-drivers/issues/187

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-06 Thread Martin D. Weinberg
Thank you for all of this work.  I am not sure that I should be changing
the tags based on previous experience, but here is my test report.

For testing, I updated to the linux/6.8.0-32.32 generic kernel in noble-
proposed.  It seemed that I needed to reinstall the intel-ipu6-dkms
after installing the kernel packages.

Overall, this is a huge improvement.  The kernel detects the camera
sensor and loads the ipu6 drivers.  About half the time, the sensor is
detected correctly and registered.  Then, applications like vlc, zoom,
gUM test in the browser all work reliably.  Successful kernel messages
look like (in part):

2024-05-06T17:26:42.688374-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: bind ov2740 3-0036 nlanes is 2 port is 1
2024-05-06T17:26:42.688378-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: All sensor registration completed.

And during operation:

2024-05-06T17:39:24.330879-04:00 raven kernel: intel-ipu6-isys intel-
ipu6-isys0: stream on ov2740 3-0036

The other half of the time, there is a problem detecting the sensor and
loading the module.  When that happens, kernel messages are:

2024-05-06T17:11:53.825968-04:00 raven kernel: ov2740 i2c-INT3474:01: error 
-EIO: failed to find sensor
2024-05-06T17:11:53.825968-04:00 raven kernel: ov2740: probe of i2c-INT3474:01 
failed with error -5

When this happens, reboot once or twice gets it back to the working
state.

One time I noticed a seemingly correct boot, but when I tried to use the
camera, it failed and I saw the following in the log:

2024-05-06T17:20:21.587753-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: stream on ov2740 3-0036
2024-05-06T17:20:21.730058-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: csi2-1 error: Payload checksum (CRC) error
2024-05-06T17:20:21.906327-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: csi2-1 error: Payload checksum (CRC) error
2024-05-06T17:20:21.906343-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: csi2-1 error: Transfer FIFO overflow
2024-05-06T17:20:21.906354-04:00 raven kernel: intel-ipu6-isys 
intel-ipu6-isys0: csi2-1 error: Frame sync error

No configuration or kernel packages were added or removed during these
tests.  Same kernel from noble-proposed:

$ uname -a
Linux raven 6.8.0-32-generic #32-Ubuntu SMP PREEMPT_DYNAMIC Wed May  1 15:30:59 
UTC 2024 x86_64 x86_64 x86_64 GNU/Linux

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-06 Thread Ubuntu Kernel Bot
This bug is awaiting verification that the linux/6.8.0-32.32 kernel in
-proposed solves the problem. Please test the kernel and update this bug
with the results. If the problem is solved, change the tag
'verification-needed-noble-linux' to 'verification-done-noble-linux'. If
the problem still exists, change the tag 'verification-needed-noble-
linux' to 'verification-failed-noble-linux'.


If verification is not done by 5 working days from today, this fix will
be dropped from the source code, and this bug will be closed.


See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!


** Tags removed: verification-done
** Tags added: kernel-spammed-noble-linux-v2 verification-needed-noble-linux

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-06 Thread Agoston Horvath
I've installed the proposed update, my dkms looks like this:

$ dkms status
ipu6-drivers/0~git202311240921.07f0612e-0ubuntu2, 6.8.0-31-generic, x86_64: 
installed

Yet, I still get the dmesg that I've seen so far:

[...]
[   26.463603] int3472-discrete INT3472:06: cannot find GPIO chip INTC100B:00, 
deferring
[   26.463986] intel-ipu6 :00:05.0: Device 0xa75d (rev: 0x0)
[   26.464034] intel-ipu6 :00:05.0: physical base address 0x624c00
[   26.464036] intel-ipu6 :00:05.0: mapped as: 0x99d97458
[   26.464311] intel-ipu6 :00:05.0: IPU in secure mode
[   26.464315] intel-ipu6 :00:05.0: IPU secure touch = 0x0
[   26.464317] intel-ipu6 :00:05.0: IPU camera mask = 0x0
[   26.483089] intel-ipu6 :00:05.0: IPC reset done
[   26.483099] intel-ipu6 :00:05.0: cpd file name: intel/ipu6ep_fw.bin
[   26.486833] intel-ipu6 :00:05.0: FW version: 20230925
[   29.125733] usb 3-9: reset full-speed USB device number 3 using xhci_hcd
[   29.258062] int3472-discrete INT3472:06: cannot find GPIO chip INTC100B:00, 
deferring
[   29.258609] intel-ipu6 :00:05.0: Device 0xa75d (rev: 0x0)
[   29.258686] intel-ipu6 :00:05.0: physical base address 0x624c00
[   29.258689] intel-ipu6 :00:05.0: mapped as: 0xd8f2888d
[   29.259205] intel-ipu6 :00:05.0: IPU in secure mode
[   29.259213] intel-ipu6 :00:05.0: IPU secure touch = 0x0
[   29.259216] intel-ipu6 :00:05.0: IPU camera mask = 0x0
[   29.278774] intel-ipu6 :00:05.0: IPC reset done
[   29.278781] intel-ipu6 :00:05.0: cpd file name: intel/ipu6ep_fw.bin
[   29.281654] intel-ipu6 :00:05.0: FW version: 20230925
[...]

And I have no /dev/video0.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-04 Thread Martin D. Weinberg
I have upgraded to the noble-proposed ipu6-drivers package. Is there a
particular kernel that needs to be installed to get the camera to work?
Or is the kernel fix not yet available?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-02 Thread Timo Aaltonen
** Changed in: linux-oem-6.8 (Ubuntu)
   Status: In Progress => Invalid

** Changed in: linux-meta-oem-6.8 (Ubuntu)
   Status: In Progress => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-05-01 Thread Launchpad Bug Tracker
This bug was fixed in the package ipu6-drivers -
0~git202404110253.97c94720-0ubuntu1

---
ipu6-drivers (0~git202404110253.97c94720-0ubuntu1) noble; urgency=medium

  [ You-Sheng Yang ]
  * New upstream Release_20240409 release (LP: #2061747)
- drop upstreamed "backport: replace strlcpy with strscpy" patch
- debian: refresh patches
- UBUNTU: SAUCE: firmware: fallback to old firmware path
- UBUNTU: SAUCE: don't fail probing at hwcfg checks

 -- You-Sheng Yang   Thu, 11 Apr 2024 18:38:46 +0800

** Changed in: ipu6-drivers (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-30 Thread Roxana Nicolescu
** Changed in: linux-meta (Ubuntu Noble)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-30 Thread Roxana Nicolescu
** Changed in: linux (Ubuntu Noble)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread Martin D. Weinberg
Sorry, just trying to help by providing reports an following the rules.
I'll refrain from posting moving forward.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread You-Sheng Yang
** Description changed:

  [SRU Justification]
  
  BugLink: https://bugs.launchpad.net/bugs/2061747
  
  == linux-meta, linux-meta-unstable, linux-meta-oem-6.8
  ==
  
  [Impact]
  
  Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
  instead of the out-of-tree dkms originated from
  https://github.com/intel/ivsc-driver.
  
  [Fix]
  
  The main fixes are in kernel & dkms packages. This adds ivsc-modules to
  Provides list of linux-image-generic as other built-in linux-modules-foo
  packages do.
  
  [Test Case]
  
  The generated meta package linux-image-generic should then provides
  "ivsc-modules".
  
  [Where problems could occur]
  
  Meta package changes only. No real effect but in package dependency.
  
  [Other Info]
  
  While the ivsc-dkms obsoletion only happens for kernel >= 6.8, this will
  only be nominated for Unstable/Noble/OEM-6.8.
  
- == ipu6-drivers ==
+ == ipu6-drivers, linux, linux-oem-6.8 ==
  
  [Impact]
  
  Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
  instead of the out-of-tree dkms originated from
  https://github.com/intel/ivsc-driver.
  
  [Fix]
  
  The in-tree vsc driver as of v6.8 still needs a few fixes to achieve the
  same support level to launch Intel IPU6 Camera devices. Commit 1,3, and
  4 are to add supported devices and platforms. Commit 2 resolves an issue
  after resumed.
  
  [Test Case]
  
  This is supposed to work together with the updated dkms, which shall
  also be built along with the kernel itself as linux-modules-
  ipu6-. Install the corresponding kernel/modules packages and
  test camera functions.
  
  [Where problems could occur]
  
  While this is the first time we switch to in-tree VSC driver, and the
  out-of-tree driver is not aligned at the time of transition and probably
  never will, the provided functions and verified stability issues may
  vary.
  
  [Other Info]
  
  The dkms is created to be compatible of multiple kernel versions, yet
  the in-tree vsc driver transitioning should only happen for kernel >=
  v6.8. That is, oem-6.8, noble and linux-unstable will be nominated.
  
  == original bug description ==
  
  Starting from kernel v6.8 (yet from the code diff it's v6.6), Intel
  demands the use of in-tree IVSC drivers instead of out-of-tree dkms from
  https://github.com/intel/ivsc-driver.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread You-Sheng Yang
Please don't fail the verification for things you're not sure.

** Tags removed: verification-failed-noble verification-needed
** Tags added: verification-done verification-done-noble

** Description changed:

  [SRU Justification]
  
  BugLink: https://bugs.launchpad.net/bugs/2061747
+ 
+ == linux-meta, linux-meta-unstable, linux-meta-oem-6.8
+ ==
+ 
+ [Impact]
+ 
+ Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
+ instead of the out-of-tree dkms originated from
+ https://github.com/intel/ivsc-driver.
+ 
+ [Fix]
+ 
+ The main fixes are in kernel & dkms packages. This adds ivsc-modules to
+ Provides list of linux-image-generic as other built-in linux-modules-foo
+ packages do.
+ 
+ [Test Case]
+ 
+ The generated meta package linux-image-generic should then provides
+ "ivsc-modules".
+ 
+ [Where problems could occur]
+ 
+ Meta package changes only. No real effect but in package dependency.
+ 
+ [Other Info]
+ 
+ While the ivsc-dkms obsoletion only happens for kernel >= 6.8, this will
+ only be nominated for Unstable/Noble/OEM-6.8.
+ 
+ == ipu6-drivers ==
  
  [Impact]
  
  Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
  instead of the out-of-tree dkms originated from
  https://github.com/intel/ivsc-driver.
  
  [Fix]
  
  The in-tree vsc driver as of v6.8 still needs a few fixes to achieve the
  same support level to launch Intel IPU6 Camera devices. Commit 1,3, and
  4 are to add supported devices and platforms. Commit 2 resolves an issue
  after resumed.
  
  [Test Case]
  
  This is supposed to work together with the updated dkms, which shall
  also be built along with the kernel itself as linux-modules-
  ipu6-. Install the corresponding kernel/modules packages and
  test camera functions.
  
  [Where problems could occur]
  
  While this is the first time we switch to in-tree VSC driver, and the
  out-of-tree driver is not aligned at the time of transition and probably
  never will, the provided functions and verified stability issues may
  vary.
  
  [Other Info]
  
  The dkms is created to be compatible of multiple kernel versions, yet
  the in-tree vsc driver transitioning should only happen for kernel >=
  v6.8. That is, oem-6.8, noble and linux-unstable will be nominated.
  
  == original bug description ==
  
  Starting from kernel v6.8 (yet from the code diff it's v6.6), Intel
  demands the use of in-tree IVSC drivers instead of out-of-tree dkms from
  https://github.com/intel/ivsc-driver.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread You-Sheng Yang
SRU:
* https://lists.ubuntu.com/archives/kernel-team/2024-April/150635.html 
(linux-meta: noble, unstable)
* https://lists.ubuntu.com/archives/kernel-team/2024-April/150637.html 
(linux-meta-oem-6.8)

** Changed in: linux-meta (Ubuntu Noble)
   Status: Triaged => In Progress

** Changed in: linux-meta-oem-6.8 (Ubuntu Noble)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread Martin D. Weinberg
Thanks, I tried the NVidia kernel 6.8.0-1005.5+1 from noble-proposed;
still no detection.  Could be that this predates that patch series?  Not
sure.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-29 Thread Anthony Wong
This fix also requires kernel patches in this series:
https://lists.ubuntu.com/archives/kernel-team/2024-April/150378.html

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-28 Thread Martin D. Weinberg
** Tags removed: verification-needed-noble
** Tags added: verification-failed-noble

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-28 Thread Martin D. Weinberg
I did the followings steps:
- Added the noble-proposed repo
- Installed the driver(s) using: `sudo apt install 
intel-ipu6-dkms/noble-proposed`
- Confirmed that the correct package was installed:
```
$ apt policy intel-ipu6-dkms 
intel-ipu6-dkms:
  Installed: 0~git202404110253.97c94720-0ubuntu1
  Candidate: 0~git202404110253.97c94720-0ubuntu1
  Version table:
 *** 0~git202404110253.97c94720-0ubuntu1 100
100 http://us.archive.ubuntu.com/ubuntu noble-proposed/universe amd64 
Packages
100 /var/lib/dpkg/status
 0~git202311240921.07f0612e-0ubuntu2 500
500 http://us.archive.ubuntu.com/ubuntu noble/universe amd64 Packages
```
- Rebooted

I see no evidence that a ipu6 device was detected.  E.g. nothing in
kern.log from intel-ipu6 after the new driver package installed.
Perhaps I'm I missed something important here?  LMK if there's another
test I can perform.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-26 Thread Steve Langasek
Hello You-Sheng, or anyone else affected,

Accepted ipu6-drivers into noble-proposed. The package will build now
and be available at
https://launchpad.net/ubuntu/+source/ipu6-drivers/0~git202404110253.97c94720-0ubuntu1
in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
noble to verification-done-noble. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-noble. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: ipu6-drivers (Ubuntu Noble)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-noble

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-22 Thread You-Sheng Yang
** Also affects: linux-meta (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: linux-meta-oem-6.8 (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: linux-meta-oem-6.8 (Ubuntu Noble)
   Importance: Undecided => High

** Changed in: linux-meta-oem-6.8 (Ubuntu Noble)
   Status: New => Triaged

** Changed in: linux-meta-oem-6.8 (Ubuntu Noble)
 Assignee: (unassigned) => You-Sheng Yang (vicamo)

** Changed in: linux-meta (Ubuntu Noble)
   Importance: Undecided => High

** Changed in: linux-meta (Ubuntu Noble)
   Status: New => Triaged

** Changed in: linux-meta (Ubuntu Noble)
 Assignee: (unassigned) => You-Sheng Yang (vicamo)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-21 Thread Anthony Wong
** Description changed:

  [SRU Justification]
  
  BugLink: https://bugs.launchpad.net/bugs/2061747
  
  [Impact]
  
  Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
  instead of the out-of-tree dkms originated from
  https://github.com/intel/ivsc-driver.
  
  [Fix]
  
- The in-tree vsc driver as of v6.8 still need a few fixes to archive the
- same supportness to launched Intel IPU6 Camera devices. Commit 1,3, and
+ The in-tree vsc driver as of v6.8 still needs a few fixes to achieve the
+ same support level to launch Intel IPU6 Camera devices. Commit 1,3, and
  4 are to add supported devices and platforms. Commit 2 resolves an issue
  after resumed.
  
  [Test Case]
  
  This is supposed to work together with the updated dkms, which shall
  also be built along with the kernel itself as linux-modules-
  ipu6-. Install the corresponding kernel/modules packages and
  test camera functions.
  
  [Where problems could occur]
  
  While this is the first time we switch to in-tree VSC driver, and the
  out-of-tree driver is not aligned at the time of transition and probably
  never will, the provided functions and verified stability issues may
  vary.
  
  [Other Info]
  
- The dkms is created to be compatible of multiple versions, yet the in-
- tree vsc driver transitioning should only happen for kernel >= v6.8.
- That is, oem-6.8, noble and linux-unstable will be nominated.
+ The dkms is created to be compatible of multiple kernel versions, yet
+ the in-tree vsc driver transitioning should only happen for kernel >=
+ v6.8. That is, oem-6.8, noble and linux-unstable will be nominated.
  
  == original bug description ==
  
  Starting from kernel v6.8 (yet from the code diff it's v6.6), Intel
  demands the use of in-tree IVSC drivers instead of out-of-tree dkms from
  https://github.com/intel/ivsc-driver.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-19 Thread Ubuntu Foundations Team Bug Bot
The attachment
"ipu6-drivers_0~git202404110253.97c94720-0ubuntu1~ppa.1.debdiff" seems
to be a debdiff.  The ubuntu-sponsors team has been subscribed to the
bug report so that they can review and hopefully sponsor the debdiff.
If the attachment isn't a patch, please remove the "patch" flag from the
attachment, remove the "patch" tag, and if you are member of the
~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by
~brian-murray, for any issue please contact him.]

** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-19 Thread You-Sheng Yang
PPA: https://launchpad.net/~vicamo/+archive/ubuntu/ppa-2061747

Proposed DKMS update for ipu6-drivers/noble based on new upstream
release Release_20240409.

Need sponsor.

** Patch added: "ipu6-drivers_0~git202404110253.97c94720-0ubuntu1~ppa.1.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/linux-oem-6.8/+bug/2061747/+attachment/5768025/+files/ipu6-drivers_0~git202404110253.97c94720-0ubuntu1~ppa.1.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-18 Thread You-Sheng Yang
No further update to ivsc-driver shall be necessary as we're removing
it.

** Changed in: ipu6-drivers (Ubuntu Noble)
   Status: New => In Progress

** Changed in: ipu6-drivers (Ubuntu Noble)
   Importance: Undecided => High

** Changed in: ipu6-drivers (Ubuntu Noble)
 Assignee: (unassigned) => You-Sheng Yang (vicamo)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-18 Thread You-Sheng Yang
And for kernel-versions: https://kernel.ubuntu.com/gitea/kernel/kernel-
versions/pulls/290

** Changed in: linux-oem-6.8 (Ubuntu Noble)
   Status: Fix Released => In Progress

** Changed in: linux-oem-6.8 (Ubuntu Noble)
   Importance: Undecided => High

** Changed in: linux-oem-6.8 (Ubuntu Noble)
 Assignee: (unassigned) => You-Sheng Yang (vicamo)

** Changed in: ivsc-driver (Ubuntu Noble)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-18 Thread You-Sheng Yang
SRU:
* https://lists.ubuntu.com/archives/kernel-team/2024-April/150378.html 
(linux/noble, linux-unstable/noble)
* https://kernel.ubuntu.com/gitea/kernel/noble-linux-oem/pulls/7 
(linux-oem-6.8/noble)

** Changed in: linux (Ubuntu Noble)
   Status: New => In Progress

** Changed in: linux (Ubuntu Noble)
   Importance: Undecided => High

** Changed in: linux (Ubuntu Noble)
 Assignee: (unassigned) => You-Sheng Yang (vicamo)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-18 Thread You-Sheng Yang
** Description changed:

  [SRU Justification]
  
  BugLink: https://bugs.launchpad.net/bugs/2061747
  
  [Impact]
  
  Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
  instead of the out-of-tree dkms originated from
  https://github.com/intel/ivsc-driver.
  
  [Fix]
  
  The in-tree vsc driver as of v6.8 still need a few fixes to archive the
  same supportness to launched Intel IPU6 Camera devices. Commit 1,3, and
  4 are to add supported devices and platforms. Commit 2 resolves an issue
  after resumed.
  
  [Test Case]
  
  This is supposed to work together with the updated dkms, which shall
- also be built along with the kernel itself as linux-modules-ipu6-.
- Install the corresponding kernel/modules packages and test camera
- functions.
+ also be built along with the kernel itself as linux-modules-
+ ipu6-. Install the corresponding kernel/modules packages and
+ test camera functions.
  
  [Where problems could occur]
  
  While this is the first time we switch to in-tree VSC driver, and the
  out-of-tree driver is not aligned at the time of transition and probably
  never will, the provided functions and verified stability issues may
  vary.
  
  [Other Info]
  
  The dkms is created to be compatible of multiple versions, yet the in-
  tree vsc driver transitioning should only happen for kernel >= v6.8.
  That is, oem-6.8, noble and linux-unstable will be nominated.
  
  == original bug description ==
  
  Starting from kernel v6.8 (yet from the code diff it's v6.6), Intel
  demands the use of in-tree IVSC drivers instead of out-of-tree dkms from
  https://github.com/intel/ivsc-driver.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-18 Thread You-Sheng Yang
** Description changed:

+ [SRU Justification]
+ 
+ BugLink: https://bugs.launchpad.net/bugs/2061747
+ 
+ [Impact]
+ 
+ Starting from kernel v6.8, Intel demands the use of in-tree VSC driver
+ instead of the out-of-tree dkms originated from
+ https://github.com/intel/ivsc-driver.
+ 
+ [Fix]
+ 
+ The in-tree vsc driver as of v6.8 still need a few fixes to archive the
+ same supportness to launched Intel IPU6 Camera devices. Commit 1,3, and
+ 4 are to add supported devices and platforms. Commit 2 resolves an issue
+ after resumed.
+ 
+ [Test Case]
+ 
+ This is supposed to work together with the updated dkms, which shall
+ also be built along with the kernel itself as linux-modules-ipu6-.
+ Install the corresponding kernel/modules packages and test camera
+ functions.
+ 
+ [Where problems could occur]
+ 
+ While this is the first time we switch to in-tree VSC driver, and the
+ out-of-tree driver is not aligned at the time of transition and probably
+ never will, the provided functions and verified stability issues may
+ vary.
+ 
+ [Other Info]
+ 
+ The dkms is created to be compatible of multiple versions, yet the in-
+ tree vsc driver transitioning should only happen for kernel >= v6.8.
+ That is, oem-6.8, noble and linux-unstable will be nominated.
+ 
+ == original bug description ==
+ 
  Starting from kernel v6.8 (yet from the code diff it's v6.6), Intel
  demands the use of in-tree IVSC drivers instead of out-of-tree dkms from
  https://github.com/intel/ivsc-driver.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2061747] Re: obsolete out-of-tree ivsc dkms in favor of in-tree one

2024-04-17 Thread Timo Aaltonen
https://kernel.ubuntu.com/gitea/kernel/kernel-versions/pulls/290

** Changed in: linux-oem-6.8 (Ubuntu Noble)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2061747

Title:
  obsolete out-of-tree ivsc dkms in favor of in-tree one

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ipu6-drivers/+bug/2061747/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs